Index: redux/reducers/playerSlice.js
===================================================================
--- redux/reducers/playerSlice.js	(revision 87614a539b5a6d95f9aee8012bfdef4edeeb2fb5)
+++ redux/reducers/playerSlice.js	(revision 87614a539b5a6d95f9aee8012bfdef4edeeb2fb5)
@@ -0,0 +1,49 @@
+import { createSlice } from '@reduxjs/toolkit';
+
+const initialState = {
+    player: {
+        displayName: '',
+        username: '',
+        session_id: '',
+        room_id: '',
+        credits: 0,
+    },
+    game: {
+        playerCards: [],
+        dealerCards: [],
+        status: '',
+        sideBetName: '',
+    },
+    stats: {
+        wins: {
+            blackjack: 0,
+            roulette: 0,
+            poker: 0,
+        },
+        games: {
+            blackjack: 0,
+            roulette: 0,
+            poker: 0,
+        }
+    }
+}
+
+export const playerSlice = createSlice({
+    name: 'player',
+    initialState,
+    reducers: {
+        setPlayer: (state, action) => {
+            state.player = action.payload;
+        },
+        setGame: (state, action) => {
+            state.game = action.payload;
+        },
+        setStats: (state, action) => {
+            state.stats = action.payload;
+        }
+    }
+})
+
+export const { setPlayer, setGame, setStats } = playerSlice.actions
+
+export default playerSlice.reducer
Index: redux/reducers/styleSlice.js
===================================================================
--- redux/reducers/styleSlice.js	(revision 87614a539b5a6d95f9aee8012bfdef4edeeb2fb5)
+++ redux/reducers/styleSlice.js	(revision 87614a539b5a6d95f9aee8012bfdef4edeeb2fb5)
@@ -0,0 +1,98 @@
+import { createSlice } from '@reduxjs/toolkit';
+
+const initialState = {
+    style: {
+        // login
+        displayLoadingScreen: false,
+        displayRegisterScreen: false,
+        registerScreenInfo: {
+            username: '',
+            displayName: '',
+            password: '',
+        },
+        displayLoginScreen: false,
+        loginScreenInfo: {
+            username: '',
+            password: '',
+        },
+        // custom
+        inlineAlertText: '',
+        alert: {
+            show: false,
+            title: '',
+            subtitle: '',
+            button: {
+                text: '',
+                action: '',
+            }
+        },
+        notification: {
+            show: false,
+            text: '',
+            status: '',
+        },
+        // stats
+        displayStatsScreen: false,
+        statsScreenInfo: {
+            money: {
+                bet: 0,
+                earned: 0,
+            },
+            blackjack: {
+                games: 0,
+                wins: 0,
+            },
+            roulette: {
+                games: 0,
+                wins: 0,
+            },
+            poker: {
+                games: 0,
+                wins: 0,
+            },
+        },
+        // manage credits
+        displayManageCreditsScreen: false,
+    },
+    // blackjack
+    blackjack: {
+        displays: {
+            sideBetsChooseCreditsModal: false,
+            sideBetsModal: false,
+            initialBet: true,
+            sideBet: false,
+            hitStand: false,
+        },
+        inputControls: {
+            initialBet: {
+                chosenCredits: 0,
+                maxCredits: 0,
+            },
+            sideBet: {
+                chosenCredits: 0,
+                maxCredits: 0,
+            }
+        },
+        texts: {
+            sideBetsChooseCreditsText: '',
+            sideBetsPaysText: '',
+        }
+    }
+}
+
+export const styleSlice = createSlice({
+    name: 'style',
+    initialState,
+    reducers: {
+        setStyle: (state, action) => {
+            state.style = action.payload;
+        },
+        setBlackjack: (state, action) => {
+            state.blackjack = action.payload;
+        }
+    }
+})
+
+export const { setStyle, setBlackjack } = styleSlice.actions
+
+export default styleSlice.reducer
